package com.pine.admin.shiro;

import com.pine.common.utils.Constant;
import org.apache.shiro.authc.UsernamePasswordToken;

/**
 * @Author: Pine
 * @Date: 2019/4/1
 * @Email:771190883@qq.com
 */
public class DealerOpenIdToken extends UsernamePasswordToken {
    private static final long serialVersionUID = -2564928913725078138L;

    public DealerOpenIdToken() {
        super();
    }

    /**
     * 免密登录
     */
    public DealerOpenIdToken(String username) {
        super(username, Constant.USER_PASSWORD, true, null);
    }

    /**
     * 账号密码登录
     */
    public DealerOpenIdToken(String username, String password) {
        super(username, password, true, null);
    }

}
